apply plugin: 'com.android.library'

android {
    compileSdkVersion 26
    buildToolsVersion '28.0.3'

    defaultConfig {
        minSdkVersion 14
        targetSdkVersion 26
    }

    sourceSets {
        main {
            manifest.srcFile 'AndroidManifest.xml'
            java.srcDirs = ['src']
            resources.srcDirs = ['src']
            aidl.srcDirs = ['src']
            renderscript.srcDirs = ['src']
            res.srcDirs = ['res']
            assets.srcDirs = ['assets']
            jniLibs.srcDirs = ['libs']
        }
    }

//    compileOptions {
//        sourceCompatibility rootProject.ext.appSourceCompatibility
//        targetCompatibility rootProject.ext.appTargetCompatibility
//    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation "com.android.support:appcompat-v7:26.1.0"
    compileOnly "com.android.support:recyclerview-v7:26.1.0"
    implementation 'org.adw.library:discrete-seekbar:1.0.1'
}
